Summary: GNOME Applications panel grouping applet
Name: quick-lounge-applet
Version: 2.12.4
Release: %mkrel 2
License: GPL
Group: Graphical desktop/GNOME
URL: http://quick-lounge.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel
BuildRequires: gnome-menus-devel >= 2.12.0
BuildRequires: gnome-desktop-devel
BuildRequires: perl-XML-Parser
BuildRequires: scrollkeeper
Requires(post):		scrollkeeper >= 0.3
Requires(postun):		scrollkeeper >= 0.3

%description
The Quick Lounge applet is an applet for the GNOME Panel.
With this applet you can organize your preferred applications 
in a single place. You can add spaces between applications, they 
can be used to group together applications with similar tasks.

When the applet size exceeds the available space a menu containing the 
remaing launchers is created. The menu can be accessed pressing the arrow 
button located at the end of the applet. The menu displays spaces 
as separators.

%prep
%setup -q

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

%find_lang %{name} --with-gnome
%find_lang quick-lounge --with-gnome
cat quick-lounge.lang >> %name.lang
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
rm -rf %buildroot/var



%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas quick-lounge
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas quick-lounge

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/quick-lounge.schemas
%{_libexecdir}/%name
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/quick-lounge-C.omf
%_datadir/%name
%_datadir/icons/hicolor/*/apps/%name.png




%changelog
* Fri Jan 04 2008 Götz Waschk <waschk@mandriva.org> 2.12.4-2mdv2008.1
+ Revision: 144879
- fix gconf schema name in postinstall script

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.12.4-1mdv2008.1
+ Revision: 140743
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdv2007.0
+ Revision: 109663
- new version
- use macros
- update file list

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdv2007.1
+ Revision: 108940
- Import quick-lounge-applet

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdv2007.1
- rebuild

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- rebuild for new openssl

* Thu Nov 10 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1

* Thu Oct 06 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- bump deps
- drop the patch
- New release 2.12.0

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- replace prereq
- New release 2.10.1

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-3mdk
- fix buildrequires

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Fix build on x86-64

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk
- Release 2.10.0
- Patch0: use new menu API

* Fri Oct 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- update file listing
- New release 2.2.0

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- add lang to omf files
- New release 2.1.2

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-4mdk
- fix buildrequires

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-3mdk
- add dep on scrollkeeper

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-2mdk
- fix buildrequires

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- fix file list
- drop patch
- new version

